summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Bruce Forte <fuererb@student.ethz.ch>2016-10-28 23:40:02 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2016-10-28 23:40:02 +0700
commitd33795a2e87e6fc2089f4e7a74840cf38ef97fe8 (patch)
tree36d4ba913cfa31450051f94f6fbf64a8d1353e94
parent5254595706a3c2ba807a0f405075457698e73d29 (diff)
downloadslackbuilds-d33795a2e87e6fc2089f4e7a74840cf38ef97fe8.tar.gz
slackbuilds-d33795a2e87e6fc2089f4e7a74840cf38ef97fe8.tar.xz
system/xautolock: Added (monitors console activity).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--system/xautolock/README13
-rw-r--r--system/xautolock/slack-desc19
-rw-r--r--system/xautolock/xautolock.SlackBuild73
-rw-r--r--system/xautolock/xautolock.info10
4 files changed, 115 insertions, 0 deletions
diff --git a/system/xautolock/README b/system/xautolock/README
new file mode 100644
index 0000000000..39350e7475
--- /dev/null
+++ b/system/xautolock/README
@@ -0,0 +1,13 @@
+Xautolock monitors console activity under the X window system, and
+fires up a program of your choice if nothing happens during a
+user configurable period of time. You can use this to automatically
+start up a screen locker in case you tend to forget to do so manually
+before having a coffee break.
+
+Xautolock will typically be used to lock the screen but it really
+doesn't care what program you make it start. The only real assumption
+made by xautolock is that a new countdown starts as soon as the
+locker exits.
+
+One suggested use of autolock is like this:
+ xautolock -time 10 -locker xlock
diff --git a/system/xautolock/slack-desc b/system/xautolock/slack-desc
new file mode 100644
index 0000000000..8dbe8be769
--- /dev/null
+++ b/system/xautolock/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+xautolock: xautolock (Xautolock monitors console activity)
+xautolock:
+xautolock: Xautolock monitors console activity under the X window system, and
+xautolock: fires up a program of your choice if nothing happens during a
+xautolock: user configurable period of time. You can use this to automatically
+xautolock: start up a screen locker in case you tend to forget to do so
+xautolock: manually before having a coffee break.
+xautolock:
+xautolock: Xautolock will typically be used to lock the screen but it really
+xautolock: doesn't care what program you make it start.
+xautolock:
diff --git a/system/xautolock/xautolock.SlackBuild b/system/xautolock/xautolock.SlackBuild
new file mode 100644
index 0000000000..9d3c19f183
--- /dev/null
+++ b/system/xautolock/xautolock.SlackBuild
@@ -0,0 +1,73 @@
+#!/bin/sh -e
+
+# Slackware build script for xautolock
+
+# Bruce Forte revision date 2016/07/11
+# Licensed under GPL (https://www.gnu.org/licenses/gpl.html)
+
+# Set variables
+PRGNAM=xautolock
+VERSION=${VERSION:-2.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tgz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+xmkmf
+make
+make install DESTDIR=$PKG
+make install.man DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a Changelog License Readme Todo $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+gzip -9 $PKG/usr/man/man1/xautolock.1x
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/xautolock/xautolock.info b/system/xautolock/xautolock.info
new file mode 100644
index 0000000000..e00a4bbd64
--- /dev/null
+++ b/system/xautolock/xautolock.info
@@ -0,0 +1,10 @@
+PRGNAM="xautolock"
+VERSION="2.2"
+HOMEPAGE="http://freshmeat.net/projects/xautolock/"
+DOWNLOAD="http://www.ibiblio.org/pub/Linux/X11/screensavers/xautolock-2.2.tgz"
+MD5SUM="9526347a202694ad235d731d9d3de91f"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Bruce Forte"
+EMAIL="fuererb@student.ethz.ch"